server:
  port: 18090

spring:
  application:
    biandan:
      unifiedpay:
        enabled: "true"
        callbackUrl: "https://mpapi.ysyd.cloud/unifiedpay/%s/callback"
        wxpay:
          enabled: "true"
          app-id: "wxe53a2bd91cc5b4c2"
          # 15141660511
          mch-id: "1662657667"
          apiv3-key: "Xiangmai20231225Xiangmai20231225"
          cert-serial-no: 6BAA04DCBF80E735518219CC8BCD196BE039F713
          private-key-path: "classpath:META-INF/apiclient_key.pem"
          private-cert-path: "classpath:META-INF/apiclient_cert.pem"
    request:
      referers: "https://mpapi.ysyd.cloud,http://127.0.0.1"
    cors:
      pathPattern: "/api/store/**"
      allowedMethods: "GET,POST"
      allowedHeaders: "authorization,x-requested-with,x-store-id,content-type"
      allowedOrigins: "*,https://mpapi.ysyd.cloud"
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: "jdbc:mysql://47.98.144.243:3306/empress?useSSL=false&useTimezone=true&serverTimezone=GMT%2B8"
    username: "root"
    #password: $TyH69i4EEG^om!!
    password: X8IGlcnhdUcDGawphPHww8z7Xu4a800fhPr9Y6FGquTAAjSsrfhz1+VWYjGyO7pr4Ef5rs4QGpLPA4//mq2gNA==
    druid:
      publickey: MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAJuY2YFPanMmwVxHazZdOZ/y/LZr1+ZmyzAhstDZ0lCn4Vc3DI7Iw10+w4XJVGD3fnLjFMbPL1ip9eclpTAu6G0CAwEAAQ==
      connectionProperties: config.decrypt=true;config.decrypt.key=${spring.datasource.druid.publickey}
      initialSize: 5
      minIdle: 10
      maxActive: 20
      maxWait: 60000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      maxEvictableIdleTimeMillis: 900000
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      filter:
        stat:
          enabled: true
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        config:
          enabled: true
  rabbitmq:
    host: 127.0.0.1
    port: 5672
    username: tester01
    password: 123456
    virtual-host: "test"
    publisher-confirm-type: correlated
  # redis配置
  redis:
    database: 0
    host: 127.0.0.1
    port: 6379
    password: empress
    timeout: 6000ms           # 连接超时时长（毫秒）
    lettuce:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms    # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接

mybatis:
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
# 日志配置
logging:
  config: classpath:logback-test.xml
  level:
    "cn.com.wingxi.biandan": debug
    org.springframework: warn
    org.apache.http: info
wx:
  miniapp:
    appid: "wx12e34630814e5d30"
    secret: "fc06d584d8544a00f0ff9df65a30af02"
  qrCode:
    scene: "%s,%s"
    page: "pages/logs/logs"
    width: 420
    checkPath: false
    envVersion: trial


idworkcfg:
  workerId: "1"
  dataCenterId: "9"
